Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:46 2009

## Asterisk developer's documentation

# oh323_pvt Struct Reference

Collaboration diagram for oh323_pvt:

[legend]

## Data Fields

char | accountcode [256]
int | alreadygone
int | amaflags
call_details_t | cd
char | cid_name [80]
char | cid_num [80]
char | context [AST_MAX_CONTEXT]
char | exten [AST_MAX_EXTENSION]
int | hangupcause
ast_mutex_t | lock
int | nativeformats
int | needdestroy
int | needhangup
int | newcontrol
int | newstate
struct oh323_pvt * | next
int | nonCodecCapability
call_options_t | options
int | outgoing
struct ast_channel * | owner
char | rdnis [80]
struct sockaddr_in | redirip
struct ast_rtp * | rtp
struct sockaddr_in | sa
struct ast_dsp * | vad

## Detailed Description

Private structure of a OpenH323 channel

Definition at line 125 of file chan_h323.c.

## Field Documentation

char accountcode[256]

Definition at line 138 of file chan_h323.c.

Referenced by __oh323_new(), and setup_incoming_call().

int alreadygone

Definition at line 128 of file chan_h323.c.

Referenced by cleanup_connection(), oh323_hangup(), oh323_indicate(), and setup_rtp_connection().

int amaflags

Definition at line 142 of file chan_h323.c.

Referenced by __oh323_new(), and setup_incoming_call().

call_details_t cd

Definition at line 130 of file chan_h323.c.

Referenced by __oh323_destroy(), __oh323_new(), answer_call(), cleanup_connection(), find_call_locked(), oh323_alloc(), oh323_answer(), oh323_call(), oh323_digit(), oh323_hangup(), oh323_indicate(), oh323_set_rtp_peer(), and setup_incoming_call().

char cid_name[80]

Definition at line 140 of file chan_h323.c.

Referenced by __oh323_new().

char cid_num[80]

Definition at line 139 of file chan_h323.c.

Referenced by __oh323_new().

char context[AST_MAX_CONTEXT]

Definition at line 137 of file chan_h323.c.

Referenced by __oh323_new(), oh323_alloc(), and setup_incoming_call().

char exten[AST_MAX_EXTENSION]

Definition at line 136 of file chan_h323.c.

Referenced by __oh323_new(), oh323_call(), oh323_request(), and setup_incoming_call().

int hangupcause

Definition at line 147 of file chan_h323.c.

Referenced by __oh323_update_info(), hangup_connection(), and oh323_hangup().

ast_mutex_t lock

Definition at line 126 of file chan_h323.c.

Referenced by __oh323_destroy(), __oh323_new(), answer_call(), chan_ringing(), cleanup_connection(), connection_made(), external_rtp_create(), find_call_locked(), hangup_connection(), oh323_alloc(), oh323_answer(), oh323_call(), oh323_digit(), oh323_fixup(), oh323_hangup(), oh323_indicate(), oh323_read(), oh323_request(), oh323_update_info(), oh323_write(), progress(), send_digit(), set_dtmf_payload(), set_local_capabilities(), setup_rtp_connection(), and unload_module().

int nativeformats

Definition at line 145 of file chan_h323.c.

Referenced by __oh323_new(), __oh323_update_info(), oh323_rtp_read(), and setup_rtp_connection().

int needdestroy

Definition at line 129 of file chan_h323.c.

Referenced by do_monitor(), find_call_locked(), and oh323_hangup().

int needhangup

Definition at line 146 of file chan_h323.c.

Referenced by __oh323_update_info(), and hangup_connection().

int newcontrol

Definition at line 149 of file chan_h323.c.

Referenced by __oh323_update_info(), oh323_alloc(), setup_rtp_connection(), and update_state().

int newstate

Definition at line 148 of file chan_h323.c.

Referenced by __oh323_update_info(), oh323_alloc(), and update_state().

struct oh323_pvt* next`[read]`

Definition at line 150 of file chan_h323.c.

Referenced by __oh323_destroy(), do_monitor(), find_call_locked(), oh323_alloc(), and unload_module().

int nonCodecCapability

Definition at line 134 of file chan_h323.c.

Referenced by create_addr(), oh323_alloc(), and oh323_request().

call_options_t options

Definition at line 127 of file chan_h323.c.

Referenced by __oh323_new(), create_addr(), oh323_alloc(), oh323_call(), oh323_digit(), oh323_get_rtp_peer(), oh323_request(), oh323_rtp_read(), set_local_capabilities(), setup_incoming_call(), and setup_rtp_connection().

int outgoing

Definition at line 135 of file chan_h323.c.

Referenced by connection_made(), and oh323_call().

struct ast_channel* owner`[read]`

Definition at line 131 of file chan_h323.c.

Referenced by __oh323_destroy(), __oh323_new(), chan_ringing(), cleanup_connection(), connection_made(), hangup_connection(), oh323_fixup(), oh323_hangup(), oh323_rtp_read(), progress(), send_digit(), setup_rtp_connection(), unload_module(), and update_state().

char rdnis[80]

Definition at line 141 of file chan_h323.c.

Referenced by __oh323_new().

struct sockaddr_in redirip`[read]`

Definition at line 133 of file chan_h323.c.

struct ast_rtp* rtp`[read]`

Definition at line 143 of file chan_h323.c.

Referenced by __oh323_destroy(), __oh323_new(), cleanup_connection(), create_addr(), external_rtp_create(), oh323_alloc(), oh323_digit(), oh323_get_rtp_peer(), oh323_request(), oh323_rtp_read(), oh323_write(), set_dtmf_payload(), and setup_rtp_connection().

struct sockaddr_in sa`[read]`

Definition at line 132 of file chan_h323.c.

Referenced by create_addr(), and oh323_call().

struct ast_dsp* vad`[read]`

Definition at line 144 of file chan_h323.c.

Referenced by __oh323_destroy(), __oh323_new(), cleanup_connection(), and oh323_rtp_read().

The documentation for this struct was generated from the following file:

- chan_h323.c